<?php
/**
 * 商品分类管理
 * $Id: product_category_list.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

$valid = ParamUtil::getRequestString("valid");

//无参数传入
$session_name = "valid";
if(empty($valid)) {
	if (isset($_SESSION[$session_name])){
		$valid = $_SESSION[$session_name];
	} else {
		$valid = "TRUE";
		$_SESSION[$session_name] = $valid;
	}
} else {
	$_SESSION[$session_name] = $valid;
}

// 一览取得
$valid_title = "";
$param = array();
if($valid == "ALL") {
	$valid_title = "全部课程";
} else if($valid == "TRUE") {
	$valid_title = "上线中";
	$param["is_valid"] = true;
} else if($valid == "FALSE") {
	$valid_title = "已下架";
	$param["is_valid"] = false;
}

$param["delete_flg"] = false;
$course_list = CourseMst::getList($param, "display_order", "desc");

// ページ
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/course.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_system";
$layout_pages["middle"] = "course_list.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;